Name:           kio-gdrive
Version:        1.1.0
Release:        2%{?dist}
Summary:        An Google Drive KIO slave for KDE

License:        GPLv2+
URL:            https://community.kde.org/KIO_GDrive
# use releaseme
Source0:  http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  cmake(KF5GAPI)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils

%description
Provides KIO Access to Google Drive using the gdrive:/// protocol.

%prep
%autosetup

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang kio5_gdrive

%check
desktop-file-validate %{buildroot}%{_datadir}/remoteview/*.desktop

%files -f kio5_gdrive.lang
%license COPYING
%doc HACKING README.md
%{_qt5_plugindir}/kf5/kio/gdrive.so
%{_datadir}/doc/HTML/en/kioslave5/gdrive/index.cache.bz2
%{_datadir}/doc/HTML/en/kioslave5/gdrive/index.docbook
%{_datadir}/remoteview/gdrive-network.desktop

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 29 2017 Wolnei Tomazelli Junior <wolnei@fedoraproject.org> -  1.1.0-1
- update version 1.1
* Sat Jan 28 2017 Wolnei Tomazelli Junior <wolnei@fedoraproject.org> -  1.0.5-2
- Initial version of the package
